# Generated by Django 3.0.3 on 2020-03-02 15:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('kupon', '0001_initial'),
        ('barang', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Transaksi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_pembeli', models.CharField(max_length=100, verbose_name='Nama Pembeli')),
                ('total', models.DecimalField(decimal_places=3, max_digits=30)),
                ('tanggal', models.DateField()),
                ('barang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='barang.Barang')),
                ('kupon', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='kupon.Kupon')),
            ],
        ),
    ]
